Enum Class VPNStatus

java.lang.Object
java.lang.Enum<VPNStatus>
com.eqixiac.equinix.networkedge.enums.VPNStatus
All Implemented Interfaces:
APIParam, Serializable, Comparable<VPNStatus>, Constable

public enum VPNStatus extends Enum<VPNStatus> implements APIParam
Status of a Network Edge VPN. The union of the spec's VpnResponse.status values and the GET /ne/v1/vpn status[] filter values (which additionally declare the retrying / updating / phase-failed states).
Author:
ianjones
  • Enum Constant Details

    • PROVISIONED

      public static final VPNStatus PROVISIONED
    • PROVISIONING

      public static final VPNStatus PROVISIONING
    • PROVISIONING_RETRYING

      public static final VPNStatus PROVISIONING_RETRYING
    • UPDATING

      public static final VPNStatus UPDATING
    • PROVISIONING_UPDATE_RETRYING

      public static final VPNStatus PROVISIONING_UPDATE_RETRYING
    • FAILED

      public static final VPNStatus FAILED
    • PROVISIONING_FAILED

      public static final VPNStatus PROVISIONING_FAILED
    • PROVISIONING_UPDATE_FAILED

      public static final VPNStatus PROVISIONING_UPDATE_FAILED
    • DEPROVISIONED

      public static final VPNStatus DEPROVISIONED
    • DEPROVISIONING

      public static final VPNStatus DEPROVISIONING
    • DEPROVISIONING_RETRYING

      public static final VPNStatus DEPROVISIONING_RETRYING
    • DEPROVISIONING_FAILED

      public static final VPNStatus DEPROVISIONING_FAILED
  • Method Details

    • values

      public static VPNStatus[] values()
      Returns an array containing the constants of this enum class, in the order they are declared.
      Returns:
      an array containing the constants of this enum class, in the order they are declared
    • valueOf

      public static VPNStatus valueOf(String name)
      Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
      Parameters:
      name - the name of the enum constant to be returned.
      Returns:
      the enum constant with the specified name
      Throws:
      IllegalArgumentException - if this enum class has no constant with the specified name
      NullPointerException - if the argument is null